#ifndef PICTOBASE64MODEL_H
#define PICTOBASE64MODEL_H

#include <QObject>

class PicToBase64Model : public QObject
{
    Q_OBJECT
public:
    explicit PicToBase64Model(QObject *parent = nullptr);
signals:
    void SendToBridge_Base64data(QByteArray data);  // 图片的Base64文件
public slots:
    void RecvFromBridge_picPath(QString datapath);  //通过桥获取文件路径;
private:
    QByteArray Image_To_Base64(QString ImgPath);	//参数是图片路径
};

class PicToBase64Model_LeftPic : public QObject
{
    Q_OBJECT
public:
    explicit PicToBase64Model_LeftPic(QObject *parent = nullptr);
signals:
    void SendToBridge_Base64data(QByteArray data);  // 图片的Base64文件
public slots:
    void RecvFromBridge_picPath(QString datapath);  //通过桥获取文件路径;
private:
    QByteArray Image_To_Base64(QString ImgPath);	//参数是图片路径
};

class PicToBase64Model_CarPic : public QObject
{
    Q_OBJECT
public:
    explicit PicToBase64Model_CarPic(QObject *parent = nullptr);
signals:
    void SendToBridge_Base64data(QByteArray data);  // 图片的Base64文件
public slots:
    void RecvFromBridge_picPath(QString datapath);  //通过桥获取文件路径;
private:
    QByteArray Image_To_Base64(QString ImgPath);	//参数是图片路径
};

class PicToBase64Model_CarPlnumPic : public QObject
{
    Q_OBJECT
public:
    explicit PicToBase64Model_CarPlnumPic(QObject *parent = nullptr);
signals:
    void SendToBridge_Base64data(QByteArray data);  // 图片的Base64文件
public slots:
    void RecvFromBridge_picPath(QString datapath);  //通过桥获取文件路径;
private:
    QByteArray Image_To_Base64(QString ImgPath);	//参数是图片路径
};

#endif // PICTOBASE64MODEL_H
